%define         _disable_ld_no_undefined 1

%define         oldmajor                 1
%define         major                    0
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d

Summary:        An implementation of the Message Passing Interface
Name:           openmpi
Version:        1.4.5
Release:        %mkrel 2
License:        BSD
Group:          Development/Other

URL:            http://www.open-mpi.org
Source0:        http://www.open-mpi.org/software/ompi/v1.4/downloads/openmpi-%{version}.tar.bz2
Patch0:         format_string.patch

Requires:       %{libname} = %{version}

BuildRequires:  binutils-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-gfortran
BuildRequires:  quadmath-devel
BuildRequires:  gcc-c++
BuildRequires:  libibverbs-devel
BuildRequires:  libgomp-devel
BuildRequires:  numa-devel >= 2.0.2
BuildRequires:  torque-devel >= 2.3.7
BuildRequires:  zlib-devel

Conflicts:      mpich
Conflicts:      mpich2
Conflicts:      lam

%description
The Open MPI Project is an open source MPI-2 implementation that is
developed and maintained by a consortium of academic, research, and
industry partners. OpenMPI is therefore able to combine the expertise,
technologies, and resources from all across the High Performance
Computing community in order to build the best MPI library
available. OpenMPI offers advantages for system and software vendors,
application developers and computer science researchers. This package
contains all of the tools necessary to compile, link, and run OpenMPI
jobs.



%package -n %{libname}
Summary:        Shared libraries for OpenMPI
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.



%package -n %{develname}
Summary:        Development files for OpenMPI
Group:          Development/Other
Requires:       %{libname} = %{version}
Requires:       %{name} = %{version}
Requires:       gcc-gfortran 
Requires:       gcc-c++
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Conflicts:      lam-devel
Conflicts:      mpich1-devel
Conflicts:      mpich2-devel

%description -n %{develname}
%{summary}.



%prep
%setup -q -n %{name}-%{version}
%patch0 -p0


%build
%configure2_5x --enable-shared --enable-static \
               --with-threads=posix \
               --with-tm \
               --with-libnuma
%make


%install
%makeinstall_std

%__rm -rf %{buildroot}%{_sysconfdir}/openmpi-totalview.tcl
find %{buildroot}%{_libdir} -name *.la -delete


%clean
%__rm -rf %{buildroot}



%files
%defattr(-, root, root, -)
%doc README LICENSE NEWS AUTHORS
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/mpirun
%{_bindir}/mpiexec
%{_bindir}/orte*
%{_bindir}/ompi-*
%{_bindir}/otf*
%{_datadir}/%{name}/amca*
%{_datadir}/%{name}/*.ini
%{_datadir}/%{name}/*.supp
%{_datadir}/%{name}/help*
%{_mandir}/man1/mpirun*
%{_mandir}/man1/mpiexec*
%{_mandir}/man1/orte*
%{_mandir}/man1/ompi-*
%{_mandir}/man7/*


%files -n %{libname} 
%defattr(-, root, root, -)
%doc %{_datadir}/%{name}/doc/ptmalloc2-COPYRIGHT
%{_libdir}/*.so.%{major}*
%{_libdir}/%{name}/*.so


%files -n %{develname}
%defattr(-, root, root, -)
%doc examples/
%doc %{_datadir}/*.SPEC
%doc %{_datadir}/vampirtrace
%doc %{_datadir}/vt*-wrapper-data.txt
%{_bindir}/mpif*
%{_bindir}/mpic*
%{_bindir}/mpiC*
%{_bindir}/opal*
%{_bindir}/opari*
%{_bindir}/vt*
%{_bindir}/ompi_*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.mod
%{_libdir}/*.a
%{_libdir}/%{name}/*.a
%{_datadir}/%{name}/mpi*
%{_mandir}/man1/mpif*
%{_mandir}/man1/mpic*
%{_mandir}/man1/mpiC*
%{_mandir}/man1/ompi_*
%{_mandir}/man1/opal_wrapper*
%{_mandir}/man3/*


%changelog

* Wed Mar 07 2012 eatdirt <eatdirt> 1.4.5-2.mga2
+ Revision: 221247
- Add missing Requires (bug 2787, also applicable to Cauldron)
- Clean files repartition in between -devel and non-devel packages

* Wed Feb 22 2012 eatdirt <eatdirt> 1.4.5-1.mga2
+ Revision: 212208
- Upgrade to latest stable (1.4.5)

* Fri Jan 13 2012 eatdirt <eatdirt> 1.4.4-1.mga2
+ Revision: 195637
- Upgrade to latest stable (1.4.4)
  Specfile cleaned and ".la" files removed

* Tue Jun 28 2011 ahmad <ahmad> 1.4.3-2.mga2
+ Revision: 115348
- Drop the buildroot declaration
- Drop old/unneeded scriptlets
- imported package openmpi

